<template>
  <div class="container py-0">
    <div class="p-table">
      <div class="p-table-row p-table-row--header">
        <div class="p-table-cell">{{ $t(`Name`) }}</div>
        <div class="p-table-cell">{{ $t(`Sign`) }}</div>
        <div class="p-table-cell">{{ $t(`Deg.`) }}</div>
      </div>
      <div v-for="house in houses" :key="house.house" class="p-table-row">
        <div class="p-table-cell">{{ $t(`House`) }} {{ house.house }}</div>
        <div class="p-table-cell">
          <img :src="require(`~/assets/images/small-sign-${house.sign.toLowerCase()}.svg`)" class="p-table-icon" />
          {{ $t(`signNames.${house.sign.toLowerCase()}`) }}
        </div>
        <div class="p-table-cell">{{ house.degree }}°</div>
      </div>
      <div class="p-table-row">
        <div class="p-table-cell">{{ $t(`ascendant`) }}</div>
        <div class="p-table-cell"></div>
        <div class="p-table-cell">{{ ascendant }}°</div>
      </div>
      <div class="p-table-row">
        <div class="p-table-cell">{{ $t(`midheaven`) }}</div>
        <div class="p-table-cell"></div>
        <div class="p-table-cell">{{ midheaven }}°</div>
      </div>
      <div class="p-table-row">
        <div class="p-table-cell">{{ $t(`vertex`) }}</div>
        <div class="p-table-cell"></div>
        <div class="p-table-cell">{{ vertex }}°</div>
      </div>
    </div>
  </div>
</template>

<script>
  export default {
    scrollToTop: true,
    transition: { name: 'fade', mode: 'out-in' },

    async asyncData({ $axios, redirect, store }) {
      if (!store.state.auth.user.hasActiveSubscription) {
        return redirect({ name: 'you.planets' });
      }

      let response = await $axios.get('pages/you/houses');

      return {
        houses: response.data.data.houses.houses.map((house) => {
          return { ...house, degree: Math.round(house.degree * 100) / 100 };
        }),

        midheaven: Math.round(response.data.data.houses.midheaven * 100) / 100,
        vertex: Math.round(response.data.data.houses.vertex * 100) / 100,
        ascendant: Math.round(response.data.data.houses.ascendant * 100) / 100,
      };
    },
  };
</script>

<style lang="scss" scoped>
  .p-table {
    display: flex;
    flex-direction: column;
    width: 100%;
    background-color: #fff;
    border-radius: rs(20px);
    margin-top: rs(20px);
    margin-bottom: rs(15px);
  }

  .p-table-row {
    display: flex;
    padding: 0 rs(15px);

    &:first-child {
      margin-top: rs(5px);
    }
  }

  .p-table-cell {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    flex-grow: 1;
    color: #575167;
    font-size: rf(14px);
    height: rs(40px);

    &:not(:first-child) {
      padding-left: rs(15px);
    }

    &:last-child {
      justify-content: flex-end;
    }

    &:nth-child(1) {
      flex-basis: 35%;
    }

    &:nth-child(2) {
      flex-basis: 30%;
    }

    &:nth-child(3) {
      flex-basis: 25%;
    }
  }

  .p-table-row.p-table-row--header .p-table-cell {
    font-weight: bold;
    font-size: rf(16px);
  }

  .p-table-row:not(:last-child):not(:first-child) .p-table-cell {
    border-bottom: rs(1px) solid rgba(#416d8d, 0.3);
  }

  .p-table-icon {
    width: rs(18px);
    margin-right: rs(5px);
  }
</style>
